darcs

Issue 2319 changing command defaults to interactive breaks tools

Title changing command defaults to interactive breaks tools
Priority Status resolved
Milestone Resolved in 2.10.0 HEAD
Superseder Nosy List fx
Assigned To
Topics

Created on 2013-04-29.14:23:14 by fx, last changed 2013-12-02.20:11:40 by noreply.

Files
File name Uploaded Type Edit Remove
unnamed kowey, 2013-04-30.03:15:22 text/html
Messages
msg16786 (view) Author: fx Date: 2013-04-29.14:23:12
The change

Thu Feb 21 18:23:31 GMT 2013  Florent Becker <florent.becker@ens-lyon.org>
  * Make darcs changes interactive by default (darcs log is non-interactive)

breaks tools, such as the Emacs VC support I maintain, which expect
"changes" just to list the log entries.  Perhaps VC-Darcs should
explicitly use --non-interactive, but it doesn't, and explicitly setting
all default values risks breakage if the args change, or didn't exist in
old versions.

It's also confusing that "darcs cha |less" now apparently hangs.

Please at least check whether stdout is a tty before turning on implicit
interactive behaviour (like producing tty escape sequences, for
instance).  Emacs VC mode takes care to run commands to a pipe, not a
pty, on the assumption that systems will then do the right thing.
msg16788 (view) Author: gh Date: 2013-04-30.00:03:55
It also breaks the "recent changes" page of Gitit.
msg16790 (view) Author: kowey Date: 2013-04-30.03:15:22
Wasn't there supposed to be TTY detection?

On Tuesday, 30 April 2013, Guillaume Hoffmann wrote:

>
> Guillaume Hoffmann <guillaumh@gmail.com <javascript:;>> added the comment:
>
> It also breaks the "recent changes" page of Gitit.
>
> __________________________________
> Darcs bug tracker <bugs@darcs.net <javascript:;>>
> <http://bugs.darcs.net/issue2319>
> __________________________________
> _______________________________________________
> darcs-devel mailing list
> darcs-devel@darcs.net <javascript:;>
> http://lists.osuosl.org/mailman/listinfo/darcs-devel
>


-- 
Eric Kow <http://erickow.com>
Attachments
msg16792 (view) Author: gh Date: 2013-05-03.19:13:25
> Eric Kow <kowey@darcs.net> added the comment:
>
> Wasn't there supposed to be TTY detection?


Does this exist in some place of the Darcs code already?
msg16793 (view) Author: kowey Date: 2013-05-04.06:55:55
Here's an example
http://hub.darcs.net/darcs/darcs-reviewed/browse/src/Darcs/UI/External.hs#439

On 3 May 2013 20:13, Guillaume Hoffmann <bugs@darcs.net> wrote:
>
> Guillaume Hoffmann <guillaumh@gmail.com> added the comment:
>
>> Eric Kow <kowey@darcs.net> added the comment:
>>
>> Wasn't there supposed to be TTY detection?
>
>
> Does this exist in some place of the Darcs code already?
>
> __________________________________
> Darcs bug tracker <bugs@darcs.net>
> <http://bugs.darcs.net/issue2319>
> __________________________________
> _______________________________________________
> darcs-devel mailing list
> darcs-devel@darcs.net
> http://lists.osuosl.org/mailman/listinfo/darcs-devel



-- 
Eric Kow <http://erickow.com>
msg17101 (view) Author: noreply Date: 2013-12-02.20:11:39
The following patch sent by Guillaume Hoffmann <guillaumh@gmail.com> updated issue issue2319 with
status=resolved;resolvedin=2.10.0 HEAD

* resolve issue2319: make changes non-interactive if fed to a pipe 
Ignore-this: 6c66b70128057762cbc449875db64b4d
History
Date User Action Args
2013-04-29 14:23:14fxcreate
2013-04-30 00:03:57ghsetmessages: + msg16788
2013-04-30 03:15:23koweysetfiles: + unnamed
messages: + msg16790
2013-05-03 19:13:27ghsetmessages: + msg16792
2013-05-04 06:55:57koweysetmessages: + msg16793
2013-12-02 20:11:40noreplysetstatus: unknown -> resolved
messages: + msg17101
resolvedin: 2.10.0 HEAD